@import "reset";
@import "base";
@import "classes";
@import "utils";
@import "animations";
@import "media";

.grid-container {
  display: grid;
  grid:
    "picture header" auto
    "aside main" 1fr
    "footer footer" auto
    / 300px auto;
  min-height: 100vh;
  @include xs {
    grid:
      "header" auto
      "main" auto
      "picture" auto
      "aside" auto
      "footer" auto
      / auto;
  }
}

header {
  grid-area: header;
  background: linear-gradient(to right, var(--primary), var(--light));
  padding: 8rem 5rem;
  text-align: center;
  color: white;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  @include xs {
    padding: 5rem 2rem;
  }
  h1 {
    font-size: 6rem;
    line-height: 8rem;
    font-weight: 300;
    letter-spacing: 3rem;
    @include xs {
      font-size: 4rem;
    }
    span {
      display: inline-block;
      animation: bounce 2s;
    }
  }
  p {
    letter-spacing: 0.5rem;
  }
}

.picture {
  grid-area: picture;
  padding: 6rem;
  background: var(--background);
  border-right: 1px solid var(--border);

  img {
    border-radius: 50%;
    max-width: 100%;
  }
}

aside {
  grid-area: aside;
  background: var(--background);
  border-right: 1px solid var(--border);
  padding: 5rem;
  h3 {
    margin-bottom: 0;
    font-size: 1.5rem;
  }
  p {
    margin: 0 0 2rem 0;
    font-style: italic;
  }
  .bar-skill {
    margin: 2rem 0;
    height: 5px;
    background: var(--hint);
    position: relative;
    .bar-skill-progress {
      position: absolute;
      height: 5px;
      top: 0;
      left: 0;
      width: 80%;
      background: var(--light);
    }

    .bar-skill-dot {
      position: absolute;
      height: 10px;
      width: 10px;
      background: var(--dark);
      left: 100%;
      top: -2.5px;
      transform: rotate(45deg);
    }
  }

  .stars-container {
    display: flex;
    margin: 2rem 0 3rem 0;
    color: var(--hint);
    i {
      font-size: 2rem;
      margin: 0 1rem;
    }
  }
  .social-container {
    display: flex;
    justify-content: start;
    align-items: center;
    padding: 1rem;
    font-size: 1.5rem;
    letter-spacing: 0;
    transition: all 0.2s;
    border-radius: 5px;
    &:hover {
      background: var(--border);
      i {
        color: var(--primary);
        transform: scale(1.3);
        transition: all 0.2s;
      }
    }
    i {
      font-size: 2rem;
      flex: 0 0 50px;
      margin-right: 1rem;
    }
    p {
      flex: auto;
      margin: 0;
    }
  }
}

main {
  grid-area: main;
  padding: 5rem;
  @include xs {
    padding: 5rem 2rem;
  }
  h2 {
    margin-bottom: 4rem;
  }
  p {
    letter-spacing: 0.1rem;
    line-height: 3rem;
  }

  .experience {
    display: flex;
    margin: 3rem 0;
    .timeline {
      text-align: center;
      color: var(--hint);
      padding-right: 2rem;
      border-right: 1px solid var(--border);
      p {
        margin: 0;
      }
    }
    .content {
      padding: 0 1rem;
      h3 {
        margin: 0;
      }
      p {
        margin: 0;
      }
      ul {
        list-style: circle;
        padding-left: 4rem;
      }
    }
  }
}

footer {
  grid-area: footer;
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
  align-items: center;
  color: white;
  padding: 5rem;
  background: var(--text);
  form {
    display: flex;
    align-items: center;
    h2 {
      margin-bottom: 3rem;
    }
    .prefix {
      background: linear-gradient(to right, var(--dark), var(--light));
      padding: 1rem 2rem;
      color: white;
      font-size: 2rem;
      border-top-left-radius: 10%;
      border-bottom-left-radius: 10%;
    }
    button {
      background: none;
      border: 0;
      cursor: pointer;
      transition: all 0.2s;
      &:hover {
        opacity: 0.6;
      }
      .postfix {
        background: linear-gradient(to right, var(--dark), var(--light));
        padding: 1rem 2rem;
        color: white;
        font-size: 2rem;
        border-top-right-radius: 10%;
        border-bottom-right-radius: 10%;
      }
    }
    input {
      outline: 0;
      border: 0;
      min-width: 400px;
      line-height: 2rem;
      padding: 1rem 2rem;
      &::placeholder {
        color: var(--text);
      }
    }
  }
}
